﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define n = Character(None, color=(255, 255, 255, 255))

define j = Character("Xavier", color=(255,255,0,255))
define p = Character("Psychologist", color=(125,0,125,255))

define r = Character("Raoul", color=(0,0,255,255))
define m = Character("Maria", color=(125,0,125,255))

define d = Character("Doctor", color=(125,125,0,255))
define mu = Character("Woman", color=(255,0,0,255))
define ho = Character("Man", color=(0,0,125,255))

define cu = Character("Father", color=(125,125,125,255))
define hi = Character("Girl", color=(255,255,255,255))

image red pixel = "redPixel.png"
image blue pixel = "bluePixel.png"
image yellow pixel = "yellowPixel.png"
image white pixel = "whitePixel.png"

image invisible = "invisible.png"
image invisible2 = "invisible.png"
image invisible3 = "invisible.png"
image invisible4 = "invisible.png"

image black = "#000"

image title = "title2.png"
image titleF = "titleF.png"

init:
    
    $musicList=["misteriosaMusica","drums","guitarHappy","musicBoxHappy","musicBoxSad","mysteriousHarp","drums4","drums2"]
    $generalMusicIndexList=[1,2,3,4,5,6,7,8]
    
    $lives = [0,3,4,5,6,7]
    $hp=[0]*4
    
    $char=[False]*4
    
    $silence=False        
    
    if(persistent.key_words==None):
        $persistent.key_words = set([])    
        
    $story=set([])
    $story.update(persistent.key_words)
    $musicLoaded = False
    
    python:        

        renpy.music.register_channel("signal", "music", True)        
            
        for i in range(0,4):
            channel = "beat"+str(i+1)
            renpy.music.register_channel(channel, "music", True)
            renpy.music.set_volume(0.5,0,channel)
        
        for num in generalMusicIndexList:
            channel = "music"+str(num)
            renpy.music.register_channel(channel, "music", True)
            renpy.music.set_volume(0.0,0,channel)
            
init python:    
    
    import time                
    
    def playBeatHp(theHp, channel):
        
        if theHp==5:
            renpy.music.play("beatSignalS.ogg",channel,False)            
            
        elif theHp==6:
            renpy.music.play("beatSignalS.ogg",channel,False)
            renpy.music.queue("beatSignalS.ogg",channel,False)
            
        elif theHp==7:
            renpy.music.play("beatSignalS.ogg",channel,False)
            renpy.music.queue("beatSignalS.ogg",channel,False)
            renpy.music.queue("beatSignalS.ogg",channel,False)
            
        elif theHp==4:
            renpy.music.play("beatSignal4.ogg",channel,False)            
            
        elif theHp==3:
            renpy.music.play("beatSignal3.ogg",channel,False)    
            
        elif theHp==2:
            renpy.music.play("beatSignal2.ogg",channel,False)                
            
    def playBeat(trans, st, at):
        renpy.music.play("beatSignalS.ogg",channel,False)
            
    def playBeat1(trans, st, at):        
        if(char[3]):
            playBeatHp(hp[3],"beat1")            
        return
        
    def playBeat2(trans, st, at):        
        if(char[0]):
            playBeatHp(hp[0],"beat2")            
        return
    
    def playBeat3(trans, st, at):
        if(char[1]):            
            playBeatHp(hp[1],"beat3")            
        return
    
    def playBeat4(trans, st, at):
        if(char[2]):            
            playBeatHp(hp[2],"beat4")            
        return
        
    def heart_beat_y(theHp):
            if theHp==5:
                return [0.2,0.1,0.05,0.2,0.35,0.27,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2]
            elif theHp==4:
                return [0.2,0.15,0.10,0.10,0.10,0.10,0.15,0.20,0.25,0.25,0.25,0.25,0.2,0.2,0.2]
            elif theHp==3:
                return [0.2,0.2,0.2,0.2,0.15,0.2,0.23,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2]
            elif theHp==2:
                return [0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2]    
            elif theHp==6:
                return [0.2,0.05,0.2,0.35,0.2,0.05,0.2,0.35,0.2,0.2,0.2,0.2,0.2,0.2,0.2]
            elif theHp==7:
                return [0.2,0.0,0.4,0.0,0.4,0.0,0.4,0.0,0.4,0.0,0.4,0.0,0.4,0.0,0.2]
            elif theHp==0:
                return [2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1]                                                                        
                        
            
transform heart_beat_signal(start_x):
    xalign (start_x) yalign 0.2
    block:
        alpha 1.0
        pause 0.3
        alpha 0.0
        pause 0.2       
        repeat
    alpha 0.0
            
                
transform heart_beat(startPause, values, start_x, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
    block:        
        xalign 2.1 yalign 2.1
        pause pause1                
                
        xalign start_x yalign (values[0]*0.75)
        
        linear 0.025 xalign (start_x+0.025) yalign (values[1]*0.75)
        linear 0.025 xalign (start_x+0.050) yalign (values[2]*0.75)
        
        linear 0.05 xalign (start_x+0.075) yalign (values[3]*0.75)
        linear 0.05 xalign (start_x+0.100) yalign (values[4]*0.75)
        
        linear 0.05 xalign (start_x+0.125) yalign (values[5]*0.75)
        linear 0.05 xalign (start_x+0.150) yalign (values[6]*0.75)
        
        linear 0.05 xalign (start_x+0.175) yalign (values[7]*0.75)
        linear 0.05 xalign (start_x+0.200) yalign (values[8]*0.75)
        
        linear 0.05 xalign (start_x+0.210) yalign (values[9]*0.75)
        linear 0.05 xalign (start_x+0.215) yalign (values[10]*0.75)
        
        linear 0.05 xalign (start_x+0.220) yalign (values[11]*0.75)
        linear 0.05 xalign (start_x+0.225) yalign (values[12]*0.75)
        
        linear 0.05 xalign (start_x+0.230) yalign (values[13]*0.75)
        linear 0.05 xalign (start_x+0.235) yalign (values[14]*0.75)
                
        linear 0.35 xalign (start_x+0.250) yalign (values[14]*0.75)
        
        xalign 2.1 yalign 2.1        
        pause pause2           
        repeat                     
        
transform heart_beat_beat1(startPause, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
##    block:        
##        xalign 2.1 yalign 2.1
##        pause pause1       
##        pause 0.7
##        function playBeat2
##        pause pause2
##        pause 0.3        
##        repeat

    block:
        xalign 2.1 yalign 2.1
        pause pause1
        function playBeat2
        pause pause2        
        pause 1.0
        repeat
        
transform heart_beat_beat2(startPause, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
    block:
            xalign 2.1 yalign 2.1
            pause pause1
            function playBeat3                        
            pause pause2
            pause 1.0            
            repeat

transform heart_beat_beat3(startPause, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
    block:
            xalign 2.1 yalign 2.1
            pause pause1
            function playBeat4
            pause pause2            
            pause 1.0
            repeat        
        
transform heart_beat_beat4(startPause, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
    block:
            xalign 2.1 yalign 2.1
            pause pause1
            function playBeat1
            pause pause2       
            pause 1.0
            repeat                   
    
label splashscreen:
     show black                  
    
     call loadMusic        
     $musicLoaded = True
     
     $oldHp=hp
     
     $hp=[0]*4
     $hp[0]=0
     $hp[1]=0
     $hp[2]=0
     $hp[3]=0
     
     
     $char=[False]*4
     $char[0]=False     
     
     $musicPlayNumberList=[1]                                                  
     
     call playMusic(0.0)     
     
     $times=0                                        
               
     $renpy.pause(4.0)
     
     show title:
         xalign 0.5 yalign 0.5 alpha 0.0
         
         parallel:
             linear 8.0 zoom 1.0              
         parallel:
             linear 2.0 alpha 1.0
             pause 4.0
             ##linear 2.0 alpha 0.0                                 
    
     $renpy.pause(4.0)                
             
     return
 
label showTitle:
     show title:
         xalign 0.5 yalign 0.5 alpha 0.0
         
         parallel:
             linear 8.0 zoom 1.0              
         parallel:
             linear 2.0 alpha 1.0
             pause 4.0
             ##linear 2.0 alpha 0.0                                 
    
     $renpy.pause(4.0)                
     return
     
label playMusic(fadeTime):
    python:                                                                                                                     
        volumeList = [0.0] * len(generalMusicIndexList)
        
        for music in musicPlayNumberList:            
                volumeList[music-1]=1.0
                
        for musicIndex in generalMusicIndexList:
            renpy.music.set_volume(volumeList[musicIndex-1],fadeTime,"music"+str(musicIndex))                                                                                                                                      
                                                      
    return
 
# The game starts here.
label start:           
    
     if not musicLoaded:
         $musicPlayNumberList=[1]
         call loadMusic
         call playMusic(0.0)
         $oldHp=hp
     
         $hp=[0]*4
         $hp[0]=0
         $hp[1]=0
         $hp[2]=0
         $hp[3]=0
         $times=0
     
     $char=[False]*4
     $char[0]=False     
          
     jump javier1
     
     
     ##$hp=[5]*4
     ##jump maria3
     
label javier1:                          
    
    show title:
         xalign 0.5 yalign 0.5 alpha 1.0
         pause 4.0              
         linear 2.0 alpha 0.0               
    
    $oldHp=hp
    $hp=[0]*4
    $hp[0]=5
    $hp[1]=0
    $hp[2]=0
    $hp[3]=0
    
    $char=[False]*4
    $char[0]=True 
          
    $musicPlayNumberList=[1,2]     
    
    call loadHearts                                               
    
    $renpy.pause(4.0, hard=True)
    
    $silence=True
        
    j "Letter to my mother:"
        
    j "Mom. It's been so long since I've last written."
        
    j "I'm sorry for not writing more often, {w=0.5}yet I've been somewhat busy with high school."
    
    j "And a little bit sad because of some things that have happened.{w}\nWhich have made me suffer a bit."    
    
    menu:        
        "Think about the future.":
            $ oJavier1 = "consejo"            
            pause 1.0
            $hp[0]+=1
            $musicPlayNumberList=[1]
            call loadHearts                        
            j "You know... {w=0.5}I have come to realize that I can't imagine myself as an adult."
            j "I think about personal projects that I've started... {w=0.5}yet I realize I could never finish any of them."
            j "I have no will to move the world, {w=0.5}let alone my own life."
            j "Not even to tell good from evil... {w}I can give helpful {color=#FF0000}advice{/color} to friends in times of crises...{w=0.5} but as for me, I feel completely lost."
            j "I really don't know what to do with myself, {w=0.5}Mom."                        
            
        "Think about the present.":
            $ oJavier1 = "hermano"
            pause 1.0
            $hp[0]+=1
            $musicPlayNumberList=[1]
            call loadHearts
            j "I realize I feel a little bit alone since I've started high school here. {w}\nI'm far from home, {w=0.5}lost contact with my {color=#FF0000}brother{/color}, {w=0.5}and that turns me down."          
            j "But that's not all... as I've discovered that things are never going to work out for me."
            j "So many letters written... so few I've sent...{w=0.5} poured into them feelings beyond measure."            
            j "What am I... to do?"
            
        "Think about the past.":
            $ oJavier1 = "madurar"
            $musicPlayNumberList=[4,5]
            call loadHearts
            pause 1.0            
            j "I think about times long gone by...{w=0.5} and I realize I had a very pleasant childhood."
            j "Not worried about life or the future, {w=0.5}playing freely in the beach and on the countryside."
            j "I wish...{w=0.5} I could go back to those sacred times. I wish I hadn't lost my innocence. Yet I've been infected by real life."
            j "Yet I guess this is what it means to {color=#FF0000}'mature'{/color}... {w=0.5}and, in a way, I'm grateful for realizing this."            
            
    $story.add(oJavier1)        
    jump raul1
     
    return
    
    
    
label javier2:                          
    
    $oldHp=hp    
    
    $char=[False]*4
    $char[0]=True 
          
    if oJavier1=="madurar":
        $musicPlayNumberList=[1,2]
    else:
         $musicPlayNumberList=[1]
         
    call loadHearts                                                       
    
    if oJavier1=="madurar":
        
        $renpy.play("doorKnock.ogg","sound")
        pause 1.0        
        p "Adelante."
        $renpy.play("puertaAbrirCerrar.ogg","sound")
        pause 0.5
        j "Hello. My name is Xavier. I've been told to enquire here. That maybe...{w} someone could help me."
        p "That's what I'm here for, Xavier. Tell me. Why have you come here?"        
        j "Because I think I need some help...{w} and I haven't been able to get it from friends and acquaintances."
        p "I think that's very brave, coming for yourself to seek help. Not everybody has the courage to come by themselves. {w}Specially given the way psychologists are conceived by general public in this society."
        p "Good, let's break the ice. Talk to me..."        
        
        menu:
            "...about how you feel society affects us.":
                $hp[0]+=1
                $musicPlayNumberList=[1]
                $oJavier2="direccionContraria"
                call loadHearts
                j "Society...{w}I can't stand it, really. To me, it seems like a random set of rules, which forces us to live and behave in absurd ways."
                                
                j "If you do certain stuff, you're in society. If you don't, you're out. And that's it."
                p "Come on, Xavier... I think you can fight against that. Prejudices lead nowhere, and should never be relevant in one's life."
                
                j "You're wrong. They really are.{w} How can you live peacefully {w=0.5}when the whole world walks the {color=#FFFF00}opposite way{/color}you're going? {w}When you can't do whatever you feel, when you realize life's not meant for someone like you."
                                
                j "I don't want to live this life like this... I can't do this."
                
                p "That... {w=1}is something very deep, Xavier. {w}I'd like you to talk about this some more. I think we're going the right way."                
            
            "...about what psychology means to you.":
                $oJavier2="medicina"
                call loadHearts
                j "I think... you make a great job towards helping people get better. I think it's marvelous to devote to helping people help their problems."
                
                p "My, my... I picture a potential future psychologist maybe."
                
                j "Not exactly... yet not too far from it. I'd like to study {color=#FFFF00}medicine{/color} when I get to college. "
                j "I'd like... to help people. The same way you're helping me right now, yet in a different field."
                p "That's quite interesting, Xavier. {w}Yet if you want to help people, the most important thing is to be able to accept help from others. So right now, I'd like you to tell me how I can help you overcome your difficulties."                
                
    else:
         j "Mom. As time goes by, I've come to think life never goes as I've wanted."
         j "Things are too different for me. {w}I try and try, yet I can't do what everyone else does. {w}Yet I can't do what I want either."
         j "Where does this situation lead? {w}This, I ask myself every single day. Yet I never get an answer.{w} And while the rest of the world ignores my existence, I haven't been able to understand it at all."
         j "I can't even understand..."                 
         
         menu:
             "...love.":
                 $hp[0]+=1
                 $musicPlayNumberList=[1,7]
                 $oJavier2="miedo"
                 call loadHearts
                 j "People say they fall in love. Yet that's not more than a temporary state of mind."
                 j "Trust... doesn't really exist. You can never trust another. You are never sure of when it will break. {w}Only that it will someday."
                 j "What's it worth to trust another then? {w} To trust in love? In friends whom, as life goes by, will distance themselves from you?"
                 j "I realize what really happens... I'm afraid. {w}Afraid to trust in other people..."                 
                 
             "...justice.":
                 $hp[0]+=1
                 $musicPlayNumberList=[1,7]
                 $oJavier2="luz"
                 call loadHearts                 
                 j "Is there even justice in this world? Who was the one responsible for balancing everyone's virtues and defects?"
                 j "Really did a terrible job. No way could I have been more damaged."
                 j "Why are some people so alike...{w=0.5} and others so different?"
                 j "Where's the light at the end of the tunnel?"                 
                 
             "...religion":                 
                 $oJavier2="diferente"
                 call loadHearts
                
                 j "I think there's somebody up there...{w}but what the hell is he doing?"
                 j "War, injustice, hate... {w}the world is crumbling with these negative feelings.{w} Why can't it be simpler to exist? Why is it so hard {w}{color=#FFFF00}to be different{/color}?"                                 
                
    $story.add(oJavier2)          
    jump raul2
     
    return

label javier3:     
    
    if(hp[0]<=6):
        $musicPlayNumberList=[1,2]
        $char=[False]*4
        $char[0]=True
        call loadHearts
    else:
        $musicPlayNumberList=[7]
        $char=[False]*4
        $char[0]=True
        call loadHearts
    
    if oJavier1=="madurar":
        p "Thank you for coming back one again Xavier. With these sessions, I 've really come to understand how you feel."
        p "You know... {w}you're actually stronger than you think."
        j "Th... thanks."            
        
        p "To end this session, please tell me."
        
        menu:
            "Do you have what it takes to find that light at the end of the tunnel?" if "luz" in story:                                           
                call goodEndingJavier
                
            "Do you have the strenght to go in the opposite direction? To be different?" if ("direccionContraria" in story or "diferente" in story):                                                      
                call goodEndingJavier
                
            "When would you like to come back?":                
                $hp[0]+=1
                j "Actually... I'm not sure. {w}I'll check my agenda and call back later... ok?"
                j "(Then again, maybe not. As this has been a waste of time.)"                
                j "Thank you."                                            
    else:
        if hp[0]==7:
            call badEndingJavier
        else:
            call normalEndingJavier
    jump raul3
    
    return
    
label badEndingJavier:
    j "And so, I end this letter. {w}I'm sorry... but I couldn't get to understand this life."
    j "Don't blame yourself... as it hasn't been you. {w}I have been the guilty one all along. Not even that I could do right."    
    j "Maybe... {w} if God weren't so cruel...{w} we could meet again someday."
    j "I will miss you... {w=1}Mom."        
    $hp[0]=2
    $musicPlayNumberList=[8]    
    call loadHearts    
    pause 8.0    
    return
    
label normalEndingJavier:
    
    $musicPlayNumberList=[1]
    j "Mom... {w}sorry for worrying you. I'm okay. {w} I don't need you to come visit, so please don't worry. "
    j "I'm still not completely recovered... yet I think I can manage."
    j "Thank you for following my letters."
    j "...{w}...{w}I love you, mother."    
    
    return
    
label goodEndingJavier:
     $musicPlayNumberList=[4,5]
     call loadHearts
     j "Well... I feel calmer now. Lighter."
     j "I think I'm going to carry this burden... and turn it into a blessing."
     j "I'm still not okay... but I think I can learn to manage."     
                
     p "That's what I wanted to hear."     
                
     p "Xavier... I think you were about to commit a huge mistake. Please listen: putting an end to everything is never an exit, but an escape. "
     p "You may get to experience all kinds of emotions in life, yet it's your mission to take care of them."
     p "You may fall and need to rest your wings, but never forget you have people who care about you and support you. And even without you knowing, they really need you."
     p "You must fight your fears, you can't lose sight of how precious you really are."
     p "So please...{w=1} don't ever do something you'll regret later."     
     
     $hp[0]=5               
     call loadHearts                 
     
     p "I'll give you my number, if you ever need anything else, contact me. {w}But I get the feeling you'll be fine."
     p "Now... return home, Xavier. For a couple of days. Spend time with your family. {w}And be grateful for being alive {w=1} and with them."
     p "You deserve it."     
     
     $story.add("finJavier")
     return
                
label phoneMaria1:
    $renpy.play("typingCellPhone.ogg","sound")
    r "{w=0.5}I miss you... {w=0.5}Maria..."
    pause 1.0    
    return
    
label phoneMaria2:
    $renpy.play("typingCellPhone.ogg","sound")
    r "{w=0.5}I need you... {w=0.5}sorry for doing things wrong. Please give me one more chance..."
    pause 1.0    
    return    
 
label phoneJavier:
    
    $char[0]=True
    call loadHearts
    
    $renpy.play("typingCellPhone.ogg","sound")
    r "{w=0.5}Xavier... I'd like to see you. I'm having some problems... {w=0.5}with Maria, and I think you can help me."
    
    n "Xavier read that message a couple of minutes later... and invited him home directly. And there, they planned a strategy to get Raoul attain his goal. {w} To{color=#FFFF00} win back{/color} Maria once and for all."        
    $char[0]=False
    call loadHearts
    
    return  
    
label raul1:     
    
    $oldHp=hp        
    $hp[1]=5         
    
    $char=[False]*4    
    $char[1]=True
     
    $musicPlayNumberList=[2,3]
 
    call loadHearts                                                 
     
    n "In the dark of the night, a young man sits quietly in a bar."
    n "He's drowning his sorrows in a glass of wine. "
    n "And as every young man who drinks, he remembers the good times, the bad... {w}and his ex-girlfriend."
    n "They say it's never healthy to mix sorrow and alcohol, {w=0.5}yet it seems like this young man never cared."        
    
    $renpy.play("flip.ogg","sound")
    n "He picked up the cellphone and thought of writing a message. {w}A message directed at that person who had abandoned him."
    n "Yet not before thinking..."        
    
    menu:        
        "...in the good moments they lives together.":
            $ oRaul1 = "viaje"            
            $hp[1]-=1
            $musicPlayNumberList=[3]
            call loadHearts                        
            n "Their relationship was intense but healthy. {w}\nSomething scarce among relationships between young adults nowadays."
            
            n "He still holds the dear memories of that {color=#FF0000}trip{/color} they made to that distant country."
            n "It was only him and her. Yet they needed nothing else to be happy. {w}They were so young and innocent."
            n "And their heartbeats... they were beating in unison on those times."                       
    
            call phoneMaria1
            
            jump maria1
            
        "...in the error that lead them to this situation.":
            $ oRaul1 = "error"            
            $hp[1]-=1
            $musicPlayNumberList=[3]
            call loadHearts
            n "Their relationship had been graced with moments of pure happyness. {w=0.5}However, some obstacles eventually got in their way. "
            n "He feels particularly guilty for having made a {color=#FF0000}mistake{/color}... {w=0.5}the mistake that would make him regret once and again what he had done."            
            n "Even feeling that way... the young man chooses to write."            
    
            call phoneMaria1
            
            jump maria1
            
        "...in her.":    
            $ oRaul1 = "encuentro"                        
            $musicPlayNumberList=[2,4]
            $hp[2]=5
            $char[2]=True
            call loadHearts
            n "She's a pretty, young woman. {w}Delicate, well-educated, studying humanities at University."
            n "They met in the University's library, {w=0.5}even though he didn't really study there."            
            
            pause 1.0
            r "Sorry... May I have a seat here?"            
            m "..."
            r "...{w}is this seat taken?"
            m "...{w}No. {w=0.5}You can sit there.{w}"
            r "I believe...{w=1.0} I know you from somewhere. {w=0.5} Aren't you..."
            m "My, my... {w=0.5} flirting with the first lady you encounter? {w}And in a library?"
            r "Hahaha, ok ok... I've been caught."            
            
            pause 1.0
            n "They never really got to know whether they knew themselves from some other place, {w=0.5}but that talk they had, in the end, led them to know more about each other, and to start going out together."            
        
    $story.add(oRaul1)
    jump maria1 
     
    return

label raul2:    
    $oldHp=hp                     
    
    $char=[False]*4    
    $char[1]=True
     
    if(oRaul1=="encuentro"):
        $musicPlayNumberList=[2,4]
        call loadHearts
        
        n "Sorrow invaded Raoul, but he was resisting. He knew he had been wrong, but could do nothing at that time, other from letting the wound heal."
        n "Raoul took the underground back home. He had drank a bit, and did not want to drive like that."
        n "He really wanted to write to Maria... but then, something unexpected happened."        
        
        $renpy.play("SMS.ogg","sound")
        $char[2]=True
        call loadHearts
        
        n "The cellphone rang. Raoul received a message."        
        
        $renpy.play("flip.ogg","sound")                
        m "{fast}You know... even though I don't trust you... {w}I miss you."
        
        $char[2]=False
        call loadHearts
        
        n "Raoul felt incredibly happy to receive the message. And thought of answering immediately."
        n "Yet he stopped to think things through."
        n "And so, he decided..."                
        
        menu:
            "...to ask for advice." if "consejo" in story:            
                call phoneJavier
                $oRaul2="recuperarla"        
                
            "...to seek for a clue on how to act, remembering the best times they had had." if "viaje" in story:
                n "So then, on his way home, he started to remember each moment they spent together. "
                n "To recall and to remember. And realize that their relationship was something worth fighting for."                
                n "The only thing left to do now... was to know how to {color=#FFFF00}tell that to her{/color}."                
                $oRaul2="comunicarselo"
            
            "...to tell her he needed her.":
                $hp[1]-=1
                $musicPlayNumberList=[2]
                call loadHearts
                
                $oRaul2="necesidad"
                call phoneMaria2
                n "Raoul was not too sure of the message he wrote. Yet he had no other options at the moment."
                n "So he sent the message. Yet the answer took a while to arrive. Quite more time than what Raoul took to get home."                                                                  
        
    else:    
        $musicPlayNumberList=[3]
        call loadHearts
         
        n "Sorrow leads to anger, and anger to grudge. But everything always culminates in guilt, and in feeling guilty for one's actions. "
        n "That's the way Raoul felt. He only wanted one more chance, in order to show her he could learn from his mistakes. Who would not want it? Who would not be worthy of it?"        
        
        $renpy.play("SMS.ogg","sound")
        
        $char[2]=True
        call loadHearts
        
        n "The cellphone rang. Raoul received a message."        
        
        $renpy.play("flip.ogg","sound")        
        m "{fast}Why should I trust you?{w}\nYou betrayed me, Raoul. I don't think I'll ever be able to trust you again."
        
        $char[2]=False
        call loadHearts
        
        n "Raoul realized his previous message had been a bit unfair. Hurting a person and then saying that you miss her may be true, {w}but even then, it's not fair to just say it."
        n "Raoul wonders how to escape from this situation, and decides:"        
        
        menu:
            "to answer with a sincere message.":
                $hp[1]-=1
                $musicPlayNumberList=[5,7]
                call loadHearts
                $oRaul2="perdida"
                n "Maybe it was time to stay silent...{w} but that's not what Raoul did."
                n "He was determined to win back what he had lost. Though thinking in extreme ways, almost like the instincts of an animal."
                
                n "And so, in the end, whatever had to happen turned out happening. Whatever happens when you put preassure to a tense situation."
                n "And the relationship {color=#FFFF00}broke{/color}.{w} The same as Raoul's soul."                
                
            "to look back on what had happened." if "error" in story:    
                $oRaul2="equivocado"
                n "Maybe Raoul did the best he could do in that situation. Try and understand what was happening... and why it had happened."
                n "Raoul made a mistake... he already knew that. He went out with another woman during his relationship with Maria."
                n "He never had the courage...{w} or the intention to admit it. He kept kept hiding it, in the edges of his memory."
                n "Yet it's never late to admit one's been wrong. And you always learn something out of it."                
                
            "to forget everything for the time being.":                    
                $hp[1]-=1
                $musicPlayNumberList=[5,7]
                $oRaul2="olvidar"
                call loadHearts
                
                n "The most logical thing to do was to forget this whole incident for now."
                n "It seemed like things were still fragile between them. {w}So Raoul decided to forget about her."
                r "Ok... one more beer, then. {w}There's plenty of fish in the sea."
                n "And so, Raoul drank one more beer. And then another one. {w}And then..."                
    
    $story.add(oRaul2)            
    jump maria2

label raul3:    
    $oldHp=hp                     
    
    $char=[False]*4    
    $char[1]=True
    if(hp[1]==3):
        call badEndingRaul
    elif hp[1]==4:
        call normalEndingRaul
    else:
        if ("recuperarla" in story or "equivocado" in story or "comunicarselo" in story):
            ##consejo de amigo o darse cuenta de error
            call goodEndingRaul
        else:
            call normalEndingRaul
            
    jump maria3
    
    return

label normalEndingRaul:
    $musicPlayNumberList=[5]
    call loadHearts
    n "As time passed, things in Raoul's life fell into place. {w}And even though he could never completely escape from that problem he had whenever he was alone and drank."
    n "Raoul took some time to understand things better. And he also gave Maria some time for her to understand them."
    n "And so, they could forget what had happened. And they got back together."    
    $musicPlayNumberList=[5,7]    
    call loadHearts
    n "However...each day Raoul went to a bar... {w=1} he secretly played with destiny. Feeling absolutely no guilt about it."    
    return    
    
label badEndingRaul:
    $musicPlayNumberList=[7]
    call loadHearts
    n "Raoul drank way more than what he should have drank that night. More than what he would have wanted, yet he needed to forget about what had happened."
    n "He was feeling horrible about what he had done. His world had crumbled, he could find no solution to his problems."    
    n "He decided to leave.{w} So then, he took his car to go back home, and..."    
    $musicPlayNumberList=[8]
    call loadHearts
    
    $renpy.play("carCrash.ogg","sound")
    
    pause 8.0
    $hp[1]=2
    call loadHearts
    pause 8.0
    return
    
label goodEndingRaul:
    $char[1]=True    
    $musicPlayNumberList=[2,5]    
    call loadHearts    
    $story.add("aprenderDeSusErrores")
    
    n "Scene: a park. Raoul had asked Maria to meet him there. In this {color=#FFFFFF}park{/color} that meant so much to both of them."
    
    n "Raoul had been waiting for some time. Yet he was sure Maria was to come."
    n "He was prepared to tell her everything he felt. But, above all... {w}to ask her to let him {color=#FFFFFF}learn from his mistakes{/color}."
    n "He didn't care about perfect relationships, but real ones. Human ones."
    n "And that did not gave him credit to make every mistake he wanted,{w} but it casted him off from the monster she thought he was."
    
    n "Maria at last arrived. {w}On Maria's left hand, a present for him. {w} And on Raoul's left hand... a whole life together with her."
    
    $story.add("finRaul")
    $hp[1]=5
    call loadHearts    
    pause 4.0       
    return
            
label maria1:
    
    $oldHp=hp                   
    
    $char=[False]*4    
    $char[2]=True
    $hp[2]=5
     
    $musicPlayNumberList=[5]      
          
    call loadHearts     
                   
    d "The woman laid still in bed. She was not moving."
     
    d "Yet she was breathing. {w=0.5}She was sleeping. {w=0.5}Recovering."    
    
    mu "Ohhhhhhhh...{w=2} where... am I? Doctor?"        
    
    d "Don't worry. You'll be fine. {w}\nYou're in the hospital."
    
    mu "...what has happened?"        
    
    d "You passed out in your house. You hit your head pretty hard."        
    
    mu "My God... How's..."
    
    d "Don't worry. Everything's under control and just fine. We're monitoring you right now. How do you feel?"
    
    mu "I feel {w=0.5}a bit dizzy. {w=0.5}And I can't remember what happened clearly."
    
    d "Your condition seems stable right now. It's normal to experience temporal amnesia. {w}Try to remember step by step. How about you talk to me for some time until we finish this exams?"
    
    mu "Okay..."
    
    menu:
        "Recall your profession.":
                $hp[2]+=1
                $musicPlayNumberList=[5,6]
                call loadHearts
                $oMaria1 = "profesora"
                
                mu "I am... a {color=#FF0000}teacher{/color}. {w=0.5}I teach social sciences. I work in a couple of highschools in the city downtown."
                mu "Since I was small, I've always liked children and reading. Studying what I ended up studying was a natural conclusion to this."
                
                d "How interesting. To teach is difficult at times, yet quite comforting."
                
                mu "Stressful at times, yet comforting indeed. {w}Specially when courses end."
                mu "Actually, I should be correcting some tests right now."
                d "Take it easy. You'll have enough time to do everything once you're home."                
                
        "Recall your family." if ("recuperarla" in story or "comunicarselo" in story or "finJavier" in story):      
                $musicPlayNumberList=[5] 
                call loadHearts
                $oMaria1 = "marido"
                
                mu "I live in a house near the city, with my {color=#FF0000}husband{/color}. {w}He's an engineer, works at a factory nearby. I drive from the outskirts to the city downtown."
                d "Now that's not too common... {w=0.5}isn't it usually the other way round?"
                mu "We both like the peace of the outskirts of town. We escape the traffic and noise the city brews."
                mu "Things were so easy back then... {w}though they've somewhat changed now."
                mu "Time... changes everything, doesn't it?"
                mu "Could I... talk with my husband? Where is he?"
                d "He's right outside. I'll let him in, {w=0.5}now that it seems you're feeling better."       
                                                
        "Recall events before passing out.":        
                $hp[2]+=1
                $musicPlayNumberList=[5,6]
                $oMaria1 = "sinMedicamentos"
                mu "Let's see... {w}I remember I was at home, grading some tests."
                mu "I got up and went to the toilet. I believe I wasn't feeling well."
                
                d "What was the matter?"
                mu "I had a severe headache... yet I didn't want to take any medicine."                
                mu "You know doctor... just being cautious."                
    
    $story.add(oMaria1)
    jump javier2
     
    return
    
label mariaNoRecuerdaTodoPeroAlgo:
    d "Very well, I believe you're out of danger now."     
    
    d "Are you ready for this?"
    mu "Not really... {w=1} But then again, who is? No other way but going forward."
    
    d "Given your current state, it would be the safest thing to do."
    d "Very well... I'll get everything prepared. We'll put you to sleep in a minute."    
    
    return
    
label mariaNoRecuerdaTodo:            
    
    if oMaria1=="marido":
         $musicPlayNumberList=[5]
         call loadHearts
         call mariaNoRecuerdaTodoPeroAlgo        
        
    else:    
        d "Very well, we're about to end. Try and stay calm for a while."        

        n "Yet the woman could not stay calm. In her head, lurked ghost of the past."
        
        n "Unresolved issues. Which she could never really come to terms with."
        
        n "The woman..."
        
        menu:            
            "...remembers a marvelous trip." if "viaje" in story:        
                n "The woman remembers a trip she made. With someone very dear to her."
                n "That special trip to both of them... which welded something she thought would never break."                
                
                $hp[2]+=1
                $musicPlayNumberList=[6,7]
                call loadHearts
                
                n "But she also remembers... what happened later. And her inability to handle the situation."
                n "It was a small obstacle, something from what they escaped. Yet without solving it."                
            
            "...remembers a sad affair." if ("encuentro" in story):                                
                n "The woman remembers a sad affair. A treason of trust, coming from someone close to her."
                n "She remembers her exact words at that time. Her reactions. And remembers..."                
                
                menu:
                    "...she wanted to forget about him completely.":
                        $hp[2]+=1
                        $musicPlayNumberList=[6,7]
                        call loadHearts
                        n "She placed him where he deserved. One who betrays is not worth any respect. "
                        n "Maybe, she didn't even love him that much. So in the end, it turned out being better. At least...{w} that's what she thinks."                                                
                        
                        pass                                        
                    
                    "...she tried to understand him. And in the end, gave him a second chance.":
                        n "She felt heartbroken as never before. Her trust shatterd into thousands of pieces."
                        n "How to forgive the unforgivable? To win back lost affection and trust?"
                        n "However... she fought for what she believed in. And although they spent some time apart, she returned when she was needed. And learnt to listen and help."
                        n "And learnt to give a {color=#FFFF00}second chance{/color}." 
                        
                        $story.add("perdonado")
                        pass                        
                
            "...does not want to remember anything.":
                $musicPlayNumberList=[6]
                call loadHearts
                n "She's feeling terrible. And doesn't want to remember anything else. She's feeling wrecked, sucked by a violent whirlwind."
                n "She can't escape the destiny she forged. She's unsure of where to go, or how to go on."                
                
                mu "I'm feeling sick..."
                                
                d "Try to stay calm, please. You must take some more time..."
                pause 1.0
                mu "Ohhh... {w}my chest hurts... and..."                
                $hp[2]+=1
                $musicPlayNumberList=[6,7]
                call loadHearts
                mu "..."
                d "...no! Try to stay with me! {w}...Maria!"
    return
    
    
label maria2:
    $oldHp=hp                   
    
    $char=[False]*4    
    $char[2]=True
            
    if "marido" in story and "sinMedicamentos" and "perdonado" in story:
        ##Recuerda todo
        $musicPlayNumberList=[5,6]
        call loadHearts
        call mariaNoRecuerdaTodoPeroAlgo        
    else:
        ##No recuerda todo
        $musicPlayNumberList=[5,6]
        call loadHearts        
        call mariaNoRecuerdaTodo                
        
    jump javier3     
        
label maria3:   
    $char=[False]*4    
    $char[2]=True    
    
    if(hp[2]==7):
        ##bad ending
        $musicPlayNumberList=[7]
        call badEndingMaria
    elif(hp[2]>=5):
        ##normal ending        
        call goodEndingMaria        
        
    ##unlock endings    
    $persistent.endings_unlocked = True        
        
    $persistent.key_words.update(story)    
        
    pause 4.0
    $musicPlayNumberList=[1]
    $hp=[0]*4
    $char=[False]*4
    call loadHearts
    pause 1.0
    call showTitle            
    $renpy.game_menu(screen="main_menu")
    call start    
    return 

    
label goodEndingMaria:
    $musicPlayNumberList=[5,6]    
    call loadHearts
    d "Don't worry. They're both resting right now."
    ho "At last, everything is finished. I'm so relieved..."    
    
    if("finJavier" in story and "finRaul" in story and hp[0]==5):
        $char[0]=True
        $char[1]=True
        call loadHearts
        
        $story.add("finMaria")
        
        ho "Thank you very much... {w=0.5}Xavier."
        ho "We couldn't have done it without you."
        d "Don't mention it... Raoul. That's what I'm here for." 
        ho "You know... I'm really glad that you're here with us right now."
        ho "I'm really... grateful for that."        
        
        call parto
        
        call epilogue
    else:        
        ho "You know... your face seems familiar. Weren't you Xavier's...?"
        d "Yes, I was."        
        ho "I met him in college. We were friends. I'm so sorry for what happened."
        d "It's been quite some time from that. Thank you for your concern."
        d "In fact... he wanted to become a doctor. At least, that's what his letters said. In the end, I ended out living his dream."
        d "Life's full of coincidences. {w}But if this coincidence at least helped me save a life... then I'm happy."            
        
        call parto
        
        call finalStatement              
    return        
 
label epilogue:
     $story.add("epilogue")
     $oldHp=hp                         
     $char=[False]*4    
     $hp=[5]*4
     $musicPlayNumberList=[2,4]
     call loadHearts
     
     j "Life... is full of unexpected events."
     r "Times when you'll feel defeated, yet you have to get up and keep fighting."
     m "And times which you'll hold dearly forever, for they touched your heart."     
     
     j "Choosing life over death."
     r "Learning from one's mistakes."
     m "And helping those who need you."     
     
     j "There's nothing better than to overcome one's hardships."
     r "The road is long."
     m "Yet life will reward you for that."     
     
     pause 1.0
     
     hi "Stop it, stop it, stop it... {w=1} STOP!{w}Mom, stop talking already! And let's... {w=1}PLAY! EVERYONE!"
     return  
    
label badEndingMaria:    
    call loadHearts
    d "The patient did not survive the process. {w}As she was just in the middle of it, we had great hardships. Yet we made it."
    d "We contacted the husband to give him the news. We told him... {w}to look at the bright side of life."    
    $hp[2]=2
    call loadHearts
    pause 1.0
    
    call parto
    
    call finalStatement
    
    return    
    
label finalStatement:
        $char=[False]*4
        call loadHearts
        n "Four individuals living in this world...{w} four hearts beating in unison."        
        if(hp[0]==2 or hp[1]==2 or hp[2]==2):
            n "...yet the harmony has broken between them. {w}Now, all that's left to do is to look back on what has happened.{w} And ask that, next time, things won't turn out like this."
        else:
            if hp[0]==2:
                n "Xavier had a tragic end. What he did is always an option, yet never a solution."
            elif hp[0]!=5:
                n "Xavier has stopped something horrible from happening to him. Yet he still has ways to walk. Be aware of his fears and problems. And realize he can really be happy."                            
            else:
                n "Xavier has stopped something horrible from happening to him. And he could finally confront himself and his fears. It wasn't easy, yet he could at last build his own happiness, and forge his own destiny."                
            
            if hp[1]==2:
                n "Raoul's life ended in a sudden and tragic way. However, he had died before this accident, when he realized he was dependant on an implausible situation."    
            elif hp[1]!=5:
                n "Raoul has escaped a cruel fate. Yet he hasn't escaped from tentation that lives within him. Nor could he value what he has.{w} He is happy. Yet that happiness could crumble anythime."
            else:
                n "Raoul has escaped a cruel fate. And learnt how to control his weakness. He made a mistake, and could learn from it. And earned the second chance he deserved."                
                
            if hp[2]==2:
                n "Maria died before remembering what really happened. But she managed to bring a new person to this world. If only she had remembered earlier... she could have had time to look back and gather strength in order to survive."                
            elif hp[2]!=5:
                n "Maria was able to fight to the end, and survive. And she's happy. It's a very thin happiness, and from time to time, feels a storm approaches. Yet she's seizing the moment."
            else:
                n "Maria was able to fight to the end, and survive. And she's happy. She's enjoying life with her family and the little girl she brought to life. And the rest of their lives before them."
                
        n "Four individuals living in this world...{w} four hearts beating in unison."    
        $hp=[0]*4
        call loadHearts
        return
        
label parto:
    $char=[False]*4
    $char[2]=True       
    $char[3]=True    
    $hp[3]=5
    call loadHearts
    pause 8.0    
    return
    
    
label loadMusic:        
    
    python:                                                    
                
        startTime=time.time()                                
        
        renpy.music.play("beatSignal.ogg","signal",True)
        renpy.music.set_volume(0.0,0,"signal")
        
        for i in range(0,len(generalMusicIndexList)):
            channel = "music"+str(generalMusicIndexList[i])
            songName = musicList[i]
            renpy.music.play(songName+".ogg",channel, True, None, True)
            
    return True
    
label silenceHearts:
    hide invisible
    hide invisible2
    hide invisible3
    hide invisible4    
        
    return
    
label loadHearts:                                            
            
    $pause11=0.0
    $pause12=3.0

    $pause21=1.0
    $pause22=2.0

    $pause31=2.0
    $pause32=1.0

    $pause41=3.0
    $pause42=0.0
    
    $values1 = heart_beat_y(hp[0])
    $values2 = heart_beat_y(hp[1])
    $values3 = heart_beat_y(hp[2])
    $values4 = heart_beat_y(hp[3])                       
    
    call playMusic(2.0)                                                                                                                                                                          
    
    if silence:
        call silenceHearts
        
    python:
        currentTime = (time.time() - startTime)%4                                
        
        renpy.pause(4.0 - currentTime - 0.1, hard=True)
    
    ##$renpy.music.set_volume(0.0,0.5,"signal")
    
    if times==1:
        ##$renpy.pause(4.0, hard=True)
        pass                    
        
    $times+=1   
    
    show invisible:    
        heart_beat_beat1(0.1,pause11,pause12)
        
    show invisible2:
        heart_beat_beat2(0.1,pause21,pause22)
    
    show invisible3:    
        heart_beat_beat3(0.1,pause31,pause32)        
        
    show invisible4:    
        heart_beat_beat4(0.1,pause41,pause42)
        
        
    hide yellow pixel    
    show yellow pixel:
        heart_beat(0.1,values1,0.000,pause11, pause12)
        
    hide blue pixel
    show blue pixel:
        heart_beat(0.1,values2,0.250,pause21,pause22)                            
                
    hide red pixel    
    show red pixel:
        heart_beat(0.1,values3,0.500,pause31, pause32)    
        
    hide white pixel    
    show white pixel:
        heart_beat(0.1,values4,0.750,pause41, pause42)                                                                  
        
    return     
